The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> gai_strerror - address and name information error description

#### SYNOPSIS

> ``#include <netdb.h>
> const char *gai_strerror(int` ecode`);
> ``

#### DESCRIPTION

> The gai_strerror() function shall return a text string describing an error value for the getaddrinfo() and getnameinfo() functions listed in the <netdb.h> header.

> When the ecode argument is one of the following values listed in the <netdb.h> header:

> >     [EAI_AGAIN]
> >     [EAI_BADFLAGS]
> >     [EAI_FAIL]
> >     [EAI_FAMILY]
> >     [EAI_MEMORY]
> >     [EAI_NONAME]
> >     [EAI_OVERFLOW]
> >     [EAI_SERVICE]
> >     [EAI_SOCKTYPE]
> >     [EAI_SYSTEM]

> the function return value shall point to a string describing the error. If the argument is not one of those values, the function shall return a pointer to a string whose contents indicate an unknown error.

#### RETURN VALUE

> Upon successful completion, gai_strerror() shall return a pointer to an implementation-defined string.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> getaddrinfo(), the Base Definitions volume of IEEE Std 1003.1-2001, <netdb.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the XNS, Issue 5.2 specification.

> The Open Group Base Resolution bwg2001-009 is applied, which changes the return type from char * to const char *. This is for coordination with the IPnG Working Group.

> IEEE Std 1003.1-2001/Cor 1-2002, item XSH/TC1/D6/22 is applied, adding the [EAI_OVERFLOW] error code.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]